Skip to main content
GET
/
api
/
agents
/
artifacts
List agent artifacts
curl --request GET \
  --url https://app.dacard.ai/api/agents/artifacts \
  --cookie __session=
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "artifactType": "report",
      "title": "<string>",
      "content": "<string>",
      "status": "pending",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

__session
string
cookie
required

Clerk session cookie. Authentication is handled by Clerk. Sign in at https://app.dacard.ai/sign-in to obtain a session.

Query Parameters

status
enum<string>

Filter by artifact status

Available options:
pending,
approved,
dismissed
agentId
string<uuid>

Filter to a specific agent

productId
string<uuid>

Filter to a specific product

artifactType
enum<string>

Filter by artifact type

Available options:
report,
alert,
recommendation
limit
integer
default:50

Maximum artifacts to return

Required range: 1 <= x <= 200

Response

List of artifacts

data
object[]
total
integer